For the complete documentation index, see llms.txt. This page is also available as Markdown.

2-Point perspective

Before
After

Description

Generate orthogonal lines on uploaded room images to assist with accurate dimension calculations and room sizing visualizations of a 2-point perspective room image.

Use cases

  1. Accurate space planning and furniture fitting.

  2. Enhancing property listings with detailed room dimensions.

Credit

1 successful Space Design API call = 1 credit.

API

POST https://api.spacely.ai/api/v1/generate/two-point-perspective

This endpoint is used to advance generate

Headers

Name
Type
Description

X-API-KEY*

String

Request Body

Name
Type
Description

imageUrl*

String

The URL of the image representing the room or space to visualize dimensions.

(e.g., "https://storage.googleapis.com/spacely/public/image/roomstyle3/bathroom-modern.jpg").

topCornerLine*

Object[]

An array of 3 coordinate objects.

Each object represents a critical corner point in sequence from left to right: the top-left corner, an intermediary corner point (if the wall is not straight), and the top-right corner.

e.g.

[{ "x": 0, "y": 0},{"x":100.2,"y":100.2},

{"x": 200, "y": 200}]

bottomCornerReferenceLine*

Object[]

an array of 3 coordinate objects. Unlike the topCornerLine, the points provided here are not the actual corners of the room. Instead, each coordinate marks a point on the bottom boundary line of the room, where the distance to the actual corner is exactly 1 meter towards the center of the room. The sequence is from left to right: a point near the bottom-left corner, a middle reference point (usually at or close to the actual middle bottom corner of the room), and a point near the bottom-right corner.

roomHeight*

Float

The height of the room/space. Must be in meter.

Example

Support

Any question? Contact us at support@spacely.ai

Last updated